#!/bin/bash
#Определяем максимально установленную версию 1С
vers=""
for name in $(find /opt/1cv8/x86_64 -maxdepth 1 | sort );
do
vers="1"
vers=${name:17}
done
#Определяем путь до 1С
if [ "$vers" == '' ];
then
path1c="/opt/1C/v8.3/x86_64"
else
path1c="/opt/1cv8/x86_64/$vers"
fi

#Завершаем работу всех сессий на сервере 1C
sudo $path1c/ras --daemon cluster
for cluster in $(sudo $path1c/rac cluster list | grep 'cluster'); do
if [ "$cluster" != 'cluster' ] &&  [ "$cluster" != ':' ];
then
echo $cluster
fi
done
#Теперь непосредственно завершаем рабочие сессии на сервере 1С
echo 'Вот список сессий на сервер:'
i="0"
for sessionserver in $(sudo $path1c/rac session --cluster=$cluster  list); do
if [ "$sessionserver" == 'session' ];
then
i="0"
else
let "i += 1"
if [ "$i" == "2" ];
         then
         sudo $path1c/rac session --cluster=$cluster terminate --session=$sessionserver
         echo $sessionserver
         fi
fi
done
