#!/bin/bash
#Определяем максимально установленную версию 1С
vers=""
for name in $(find /opt/1cv8/x86_64 -maxdepth 1 | sort );
do
vers="1"
vers=${name:17}
done
#Определяем путь до 1С
if [ "$vers" == '' ];
then
path1c="/opt/1C/v8.3/x86_64"
else
path1c="/opt/1cv8/x86_64/$vers"
fi

sudo $path1c/ras --daemon cluster
for cluster in $(sudo $path1c/rac cluster list | grep 'cluster'); do
if [ "$cluster" != 'cluster' ] &&  [ "$cluster" != ':' ];
then
echo $cluster
fi
done

echo 'Вот список баз которые уже существуют на сервер:'
for name in $(sudo $path1c/rac infobase --cluster=$cluster  summary list | grep 'name'); do
if [ "$name" != 'name' ] &&  [ "$name" != ':' ];
then
echo $name
fi
done

echo 'Введите имя Удаляемой базы:'
read B
echo 'Введите пароль от пользователя postgres:'
read PW
i=''
for name in $(sudo $path1c/rac infobase --cluster=$cluster  summary list | grep 'name\|infobase'); do
if [ "$name" != 'name' ] &&  [ "$name" != ':' ] &&  [ "$name" != 'infobase' ];
then
if [ "$name" == "$B" ];
then
infobase=$i
fi
i=$name
echo $name
fi
done
echo $infobase
sudo $path1c/rac infobase --cluster=$cluster drop --infobase=$infobase
#sudo $path1c/rac infobase --cluster=$cluster create --create-database --name=$B --dbms=PostgreSQL --db-server=localhost --db-name=$B --locale=ru --db-user=postgres --db-pwd=$PW --license-distribution=allow

echo 'Вот обновленный список баз которые уже существуют на сервер:'
for name in $(sudo $path1c/rac infobase --cluster=$cluster  summary list | grep 'name'); do
if [ "$name" != 'name' ] &&  [ "$name" != ':' ];
then
echo $name
fi
done
